# Class MetadataEvent

java.lang.Object
jdk.jfr.consumer.MetadataEvent

public final class MetadataEvent extends Object
Event that contains information about event types and configurations.

Since:
  16

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final List<EventType>`
  `getAddedEventTypes()`
  Returns a list of added event types since the last metadata event.
  `List<Configuration>`
  `getConfigurations()`
  Returns a list of configurations.
  `final List<EventType>`
  `getEventTypes()`
  Returns a list of the current event types being used.
  `final List<EventType>`
  `getRemovedEventTypes()`
  Returns a list of removed event types since the last metadata event.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getEventTypes

    public final List<EventType> getEventTypes()
    Returns a list of the current event types being used.
    Returns:
      an immutable list of event types, not `null`

  - ### getAddedEventTypes

    public final List<EventType> getAddedEventTypes()
    Returns a list of added event types since the last metadata event.

    The delta will be from the last metadata event. If no metadata event has been emitted earlier, all known event types will be in the list.

    Returns:
      an immutable list of added event types, not `null`

  - ### getRemovedEventTypes

    public final List<EventType> getRemovedEventTypes()
    Returns a list of removed event types since the last metadata event.

    The delta will be from the last metadata event. If no metadata event has been emitted earlier, the list will be empty.

    Returns:
      an immutable list of added event types, not `null`

  - ### getConfigurations

    public List<Configuration> getConfigurations()
    Returns a list of configurations.
    Returns:
      an immutable list of configurations, not `null`